# s4z-power-curve-mod

This Sauce 4 Zwift mod adds a window that displays:

* Graph of the rider's 90-day max power values vs max power values for the current ride.
* Estimated zFTP and zMAP based on 90-day max recorded power.
* Estimated zFTP and zMAP for the current ride.
* The zFTP and zMAP limits for the rider's category.

## How to install:

Unzip this mod into the Sauce4Zwift mods directory.

On MacOS this is `~/Documents/SauceMods/`

## zMAP and zFTP accuracy:

Inaccuracy should be expected.

Zwift does not publish their formula for determining these values.
The calculations this mod makes are based on a best-guess of what Zwift is using.
They are unlikely to be exactly the same as what shows on the rider's Zwift profile.

ZwiftPower also has 90-day max power graphs and an estimated zFTP for riders, which also
does not match what Zwift shows in a rider profile.

The Zwift client also reports FTP (not zFTP) for riders that seems wildly different than their power curves.
I've seen it report an FTP that is less than the 2-minute 90-day max effort for a rider before.
ZwiftPower seems to do something similar where sometimes a rider's reported zFTP is less than their 2min recorded max.
Maybe they do something to figure a rough FTP estimate for riders that don't put in longer max efforts?

## Group Power Gauge

Shows the average power for a group, factoring in draft.

A gauge shows your current wkg, along with your estimated power needed to hold position with a group given your current draft savings, and the average wkg of nearby riders with 0 draft, representing how hard oyu would have to go to break off the front of the group.

The overall thought is that it is more efficient to ride at the bottom end of the indicated range, pedaling as easy as you can to stay in the group.
